Bug 1305794 - rpmlint false positives due to vodovod highscore file
rpmlint false positives due to vodovod highscore file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 04:17 EST by Karel Volný
Modified: 2017-08-08 08:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:45:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2016-02-09 04:17:46 EST
Description of problem:
Recently, I got an email about rpmlint failures, log here:

https://taskotron.fedoraproject.org/artifacts/all/36b4063e-cbf0-11e5-bfcd-525400120b80/task_output/vodovod-1.10r22-6.fc24.log

Among others, it complains:

vodovod.i686: E: zero-length /var/games/vodovod.sco
vodovod.i686: E: non-standard-executable-perm /usr/bin/vodovod 2755

However, this is not an error, the file is intentionally pre-created by the package, and the content will grow only after playing the game, it can't have non-zero size if there is no highscore to record. And as the highscore file is shared among users, it needs to have a common group - 'games' in this case, and the binary needs setgid bit set to be able to write to it, so it is not an error, it is _normal_ way how to handle the permissions correctly. (Another option would be to put the user into the group 'games', but Fedora doesn't have any policy that would mandate the users to be in the 'games' group in order to play games ...)



Additional info:
While at it ...

vodovod.i686: E: incorrect-fsf-address /usr/share/doc/vodovod/COPYING

- we're advised to copy upstream license files verbatim[*], so there's hardly any way for the packager to fix that, therefore I believe this should be treated as warning and not an error

[*] see for example here:
https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/message/EPW7YARNAEGPCM375JIIQR2NP7U4HZLO/
Comment 1 Jan Kurik 2016-02-24 09:27:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:54:40 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:45:27 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.